[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

NodeComplexityStop Class Reference

Random forest 'node complexity' stop criterion. More...

`#include <vigra/random_forest_3/random_forest_common.hxx>`

## Public Member Functions

| NodeComplexityStop (double tau=0.001)
| Constructor: stop when fewer than `1/tau` label arrangements are possible.

## Detailed Description

Random forest 'node complexity' stop criterion.

Stop splitting a node when it allows for too few different data arrangements. This includes purity, which offers only a sinlge data arrangement.

The documentation for this class was generated from the following file:

- vigra/random_forest_3/random_forest_common.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.2